From 097f732223746b642aa28c3e74412c73e922edc9 Mon Sep 17 00:00:00 2001
From: Daniel Mierswa <impulze@impulze.org>
Date: Sat, 30 Jan 2010 18:44:31 +0100
Subject: [PATCH 04/10] Remove obsolete Mac OS X 10.5 tweak.

This is obsolete according to IRC conversation. But I also think it got
never really executed, code like "case foo in fo*) a ;; foo*) b ;; esac"
would never lead to b in the shells i've tested.

Signed-off-by: Daniel Mierswa <impulze@impulze.org>
---
 configure.ac |   20 --------------------
 1 files changed, 0 insertions(+), 20 deletions(-)

diff --git a/configure.ac b/configure.ac
index 909122d..d54e59d 100644
--- a/configure.ac
+++ b/configure.ac
@@ -242,26 +242,6 @@ AS_CASE(["${SYS}"],
         export MACOSX_DEPLOYMENT_TARGET
     ])
   ],
-  [darwin9*], [
-    if test "${host_cpu}" = "i386"; then
-        dnl Due to a ld(64) bug in 10.5 we cannot use our mmx code
-        dnl without hacking it a lot, we disable mmx and sse.
-        dnl (that bug is about ld being unable to handle
-        dnl text relocation)
-        save_cflags="$CFLAGS"
-        CFLAGS="$CFLAGS -dynamiclib -single_module -read_only_relocs suppress"
-        AC_TRY_LINK(
-            [int a;], [asm("movq _a,%mm0\n");],
-            ac_ld_does_not_support_text_reloc=no,
-            ac_ld_does_not_support_text_reloc=yes)
-        CFLAGS="$save_cflags"
-
-        if test "x$ac_ld_does_not_support_text_reloc" = "xyes"; then
-            VLC_FEATURE_FORCE_DISABLE([mmx], [due to a bug in ld])
-            VLC_FEATURE_FORCE_DISABLE([sse], [due to a bug in ld])
-        fi
-    fi
-  ],
   [mingwce], [
     dnl Sadly CeGCC still needs non-wince macros
     AC_DEFINE([_WIN32_WINNT], 0x0501, [Define to '0x0500' for Windows 2000 APIs.])
-- 
1.6.6.1


